# Class: Haml::Template::Options

Inherits:
  Hash
  - Object
  - Hash
  - Haml::Template::Options
  show all

Defined in:
  lib/haml/template/options.rb

## Instance Method Summary collapse

- #[]=(key, value)

## Instance Method Details

### #[]=(key, value)

    12
    13
    14
    15
    16
    17

    # File 'lib/haml/template/options.rb', line 12

    def []=(key, value)
      super
      if Haml::Options.buffer_defaults.key?(key)
        Haml::Options.buffer_defaults[key] = value
      end
    end